Bug 129409 - linking with 'mysql --libs' doesent seem to work correctly.
Summary: linking with 'mysql --libs' doesent seem to work correctly.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mysql   
(Show other bugs)
Version: 2
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Tom Lane
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
: 118301 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-08 10:10 UTC by rudolf kastl
Modified: 2013-07-03 03:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-06 22:34:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:569 normal SHIPPED_LIVE Low: mysql security update 2004-10-20 04:00:00 UTC
Red Hat Product Errata RHSA-2004:597 normal SHIPPED_LIVE Important: mysql security update 2004-10-20 04:00:00 UTC

Description rudolf kastl 2004-08-08 10:10:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040510 Galeon/1.3.16

Description of problem:
while the devel package is installed too linking with
'mysql_config --libs' or 
-L'/usr/lib/mysql' -lmysqlclient -lz -lcrypt -lnsl -lm
doesent work because:
/usr/bin/ld: cannot find -lmysqlclient

where as:
-L/usr/lib/mysql -lmysqlclient -lz -lcrypt -lnsl -lm

works like a charm.

Version-Release number of selected component (if applicable):
mysql-3.23.58-9

How reproducible:
Always

Steps to Reproduce:
1.write a small app that requires libmysqlclient.a
2.link with 'mysql_config --libs'
3.enjoy the missing lib
    

Actual Results:  /usr/bin/ld: cannot find -lmysqlclient


Expected Results:  exit 0

Additional info:

Comment 1 Tom Lane 2004-10-06 22:34:44 UTC
I see that MySQL has removed the quote marks in newer versions of
mysql_config, so I've done likewise in mysql-3.23.58-12.  (Perhaps
someday our lawyers will let us ship MySQL 4 ... but for now we have
to backpatch this sort of thing ...)

Comment 2 Josh Bressers 2004-10-20 19:12:46 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-597.html


Comment 3 Josh Bressers 2004-10-20 19:41:29 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-569.html


Comment 4 Tom Lane 2004-12-09 02:07:05 UTC
*** Bug 118301 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.